summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrett Weiland <techcrazybsw@gmail.com>2020-10-15 09:00:37 -0500
committerBrett Weiland <techcrazybsw@gmail.com>2020-10-15 09:00:37 -0500
commit267d18b483d62ff5a9b65660287e7f0d88035d19 (patch)
tree0b884c7d435a35a8f73c4d266d1f45274a92d947
new file: ewdHEADmaster
-rwxr-xr-xewd19
1 files changed, 19 insertions, 0 deletions
diff --git a/ewd b/ewd
new file mode 100755
index 0000000..a745f3c
--- /dev/null
+++ b/ewd
@@ -0,0 +1,19 @@
+#!/bin/bash
+pass="no_fuck_YOUR_chicken_strips_you_whore"
+email_to="19132286776@messaging.sprintpcs.com"
+$@
+return_code=$?
+echo "Command has completed. Now notifying..."
+if [ $return_code -eq 0 ]; then
+ ssmtp $email_to -ap $pass << EOF
+To: $email_to
+From: bpc_courier@bpcspace.com
+The command "$@" completed successfully. Congrats.
+EOF
+else
+ ssmtp $email_to -ap $pass << EOF
+To: $email_to
+From: bpc_courier@bpcspace.com
+The command "$@" has failed with error code $return_code. Sorry... :(
+EOF
+fi